<!doctype html>
<html>
 <head>
   <script src='https://cdn.jsdelivr.net/npm/vue'></script>
   <style>
   textarea{
     width: 300px;
     height: 100px;
   }
   </style>
 </head>
 <body>
 
   <div id='myapp'>
     <textarea v-model='message' @keyup='countNumber()'></textarea>
     <br>
     <span>{{ numberWords }}</span>
   </div>

   <!-- Script -->
   <script>
   var app = new Vue({
     el: '#myapp',
     data: {
       message: "",
       maxWord: 100,
       numberWords: ""
     },
     methods: {
       countNumber: function(){

         if(this.message.length > this.maxWord){
           this.numberWords = "Exceeded "+this.maxWord+" characters limit.";
         }else{

           var remainCharacters = this.maxWord - this.message.length;
           this.numberWords = "Remaining " + remainCharacters + " characters.";

         }
 
       }
     }
   })

   </script>
 </body>
</html>